# Class SendHandshakeResponsePacket

java.lang.Object
org.mariadb.jdbc.internal.com.send.SendHandshakeResponsePacket

public class SendHandshakeResponsePacket extends Object
See https://mariadb.com/kb/en/library/connection/#client-handshake-response for reference.

## Constructor Summary

Constructors
Constructor
Description
`SendHandshakeResponsePacket()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`send(PacketOutputStream pos, Credential credential, String host, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, String authenticationPluginType, byte[] seed)`
Send handshake response packet.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SendHandshakeResponsePacket

public SendHandshakeResponsePacket()

## Method Details

### send

public static void send(PacketOutputStream pos, Credential credential, String host, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, String authenticationPluginType, byte[] seed) throws IOException
Send handshake response packet.

Parameters:
  `pos` - output stream
  `credential` - credential
  `host` - current hostname
  `database` - database name
  `clientCapabilities` - client capabilities
  `serverCapabilities` - server capabilities
  `serverLanguage` - server language (utf8 / utf8mb4 collation)
  `packetSeq` - packet sequence
  `options` - user options
  `authenticationPluginType` - Authentication plugin type. ex: mysql_native_password
  `seed` - seed
Throws:
  `IOException` - if socket exception occur
See Also:
  - protocol documentation